Bug 7831 - java-1.7.0-openjdk new security issues fixed in IcedTea 2.3.3
: java-1.7.0-openjdk new security issues fixed in IcedTea 2.3.3
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 2
: i586 Linux
: Normal Severity: critical
: ---
Assigned To: QA Team
:
: http://lwn.net/Vulnerabilities/520210/
: MGA2-64-OK, MGA2-32-OK
: validated_update
:
:
  Show dependency treegraph
 
Reported: 2012-10-17 23:43 CEST by David Walser
Modified: 2012-10-29 00:46 CET (History)
3 users (show)

See Also:
Source RPM: java-1.7.0-openjdk
CVE:
Status comment:


Attachments

Description David Walser 2012-10-17 23:43:15 CEST
RedHat has issued an advisory today (October 17):
https://rhn.redhat.com/errata/RHSA-2012-1386.html

They have updated to OpenJDK 1.7.0.9 and IcedTea 2.3.3.

Mageia 2 is also affected.
Comment 1 David Walser 2012-10-20 22:34:09 CEST
Looks like a possible packaging issue in bug 7851 as well.
Comment 2 David Walser 2012-10-28 05:15:23 CET
Updated packages uploaded for Mageia 2 and Cauldron.

This also fixes the packaging issue in Bug 7851 (man page extension is xz).

Advisory:
========================

Updated java-1.7.0-openjdk packages fix security vulnerabilities:

Multiple improper permission check issues were discovered in the Beans,
Libraries, Swing, and JMX components in OpenJDK. An untrusted Java
application or applet could use these flaws to bypass Java sandbox
restrictions (CVE-2012-5086, CVE-2012-5087, CVE-2012-5088, CVE-2012-5084,
CVE-2012-5089).

The default Java security properties configuration did not restrict access
to certain com.sun.org.glassfish packages. An untrusted Java application
or applet could use these flaws to bypass Java sandbox restrictions. This
update lists those packages as restricted (CVE-2012-5076, CVE-2012-5074).

Multiple improper permission check issues were discovered in the Scripting,
JMX, Concurrency, Libraries, and Security components in OpenJDK. An
untrusted Java application or applet could use these flaws to bypass
certain Java sandbox restrictions (CVE-2012-5068, CVE-2012-5071,
CVE-2012-5069, CVE-2012-5073, CVE-2012-5072).

It was discovered that java.util.ServiceLoader could create an instance of
an incompatible class while performing provider lookup. An untrusted Java
application or applet could use this flaw to bypass certain Java sandbox
restrictions (CVE-2012-5079).

It was discovered that the Java Secure Socket Extension (JSSE) SSL/TLS
implementation did not properly handle handshake records containing an
overly large data length value. An unauthenticated, remote attacker could
possibly use this flaw to cause an SSL/TLS server to terminate with an
exception (CVE-2012-5081).

It was discovered that the JMX component in OpenJDK could perform certain
actions in an insecure manner. An untrusted Java application or applet
could possibly use these flaws to disclose sensitive information
(CVE-2012-5070, CVE-2012-5075).

A bug in the Java HotSpot Virtual Machine optimization code could cause it
to not perform array initialization in certain cases. An untrusted Java
application or applet could use this flaw to disclose portions of the
virtual machine's memory (CVE-2012-4416).

It was discovered that the SecureRandom class did not properly protect
against the creation of multiple seeders. An untrusted Java application or
applet could possibly use this flaw to disclose sensitive information
(CVE-2012-5077).

It was discovered that the java.io.FilePermission class exposed the hash
code of the canonicalized path name. An untrusted Java application or
applet could possibly use this flaw to determine certain system paths, such
as the current working directory (CVE-2012-3216).

This update disables Gopher protocol support in the java.net package by
default. Gopher support can be enabled by setting the newly introduced
property, "jdk.net.registerGopherProtocol", to true (CVE-2012-5085).

IcedTea7 has been updated to version 2.3.3 to fix these security issues.

Additionally, a minor packaging issue with incorrect man page extensions
in the devel package has been fixed.

References:
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-3216.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-4416.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5068.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5069.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5070.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5071.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5072.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5073.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5074.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5075.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5076.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5077.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5079.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5081.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5084.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5085.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5086.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5087.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5088.html
http://www.cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2012-5089.html
http://blog.fuseyism.com/index.php/2012/10/19/security-icedtea-1-10-10-1-11-15-2-1-3-2-2-3-2-3-3-released/
http://www.oracle.com/technetwork/topics/security/javacpuoct2012-1515924.html
https://rhn.redhat.com/errata/RHSA-2012-1386.html
========================

Updated packages in core/updates_testing:
========================
java-1.7.0-openjdk-1.7.0.6-2.3.3.1.mga2
java-1.7.0-openjdk-devel-1.7.0.6-2.3.3.1.mga2
java-1.7.0-openjdk-demo-1.7.0.6-2.3.3.1.mga2
java-1.7.0-openjdk-src-1.7.0.6-2.3.3.1.mga2
java-1.7.0-openjdk-javadoc-1.7.0.6-2.3.3.1.mga2

from java-1.7.0-openjdk-1.7.0.6-2.3.3.1.mga2.src.rpm
Comment 3 Marc Lattemann 2012-10-28 12:59:39 CET
tested only for regression with java program tvbrowser for mga2 i586 and
x86_64: no regression detected.
Comment 4 Marc Lattemann 2012-10-28 17:50:16 CET
additional java programs tested (ie: freemind from repos). Everything works as expected.
Therefore validating update:

Please use Advisory from Comment #2.

Could sysadmin push package to updates? Thanks.
Comment 5 Thomas Backlund 2012-10-29 00:46:27 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2012-0306

Note You need to log in before you can comment on or make changes to this bug.